#include "Matrix.h"
//set to identity matirx.
void Matrix::iniMatrix()
 {
  for(int row=1 ; row<=Row; row++)
   for(int col=1; col<=Col; col++)
    {
     if(row == col)
      {
       cell[loc(col,row)] = 1;
      }else
       {
        cell[loc(col,row)] = 0;
       }
    }
 }

//set Matrix by an input array.
void Matrix::iniMatrix(double array[], int length)
 {
   for(int i= 0; i<length; i++)
    {
     cell[i] = array[i];
    }
 }

//intersection 2 rows.
void Matrix::intersection(int row1, int row2)
 {
  for(int col=1; col<=Col; col++)
   {
    Swap(&cell[loc(col,row1)],&cell[loc(col,row2)]);
   }
 }

//multiply a factor with one row.
void Matrix::mul(double factor, int row)
 {
  for(int col=1; col<=Col; col++)
   {
    cell[loc(col,row)] *= factor;
   }
 }

//mul one row's value to add to other row.
void Matrix::mul_add(double factor, int row1, int row2)
 {
   double temp;

   //to temp row.
   for(int col=0; col<=Col; col++)
    {
     temp = factor * cell[loc(col,row1)];
     cell[loc(col,row2)] += temp;
    }
 }

 