class Matrix
 {
  private:
   int Col;
   int Row;
   double *cell;

  protected:
   inline void Swap(double *a, double *b) {double temp; temp = *a; *a = *b; *b = temp;}

  public:

   //Ctor and Dtor
   inline Matrix(int col, int row) {Col = col; Row = row; cell = new double[Col * Row];}
   inline ~Matrix() {delete[] cell;}

   //member function.
   inline int loc(int col, int row) {return ((row-1)*Col + col) -1;}
   void iniMatrix(); // initial to identity Matrix.
   void iniMatrix(double array[], int length); //initial with array.
   inline void setCell(double value, int col, int row) {cell[loc(col,row)] = value;};
   inline double getCell(int col, int row) {return cell[loc(col,row)];}
   
   //elementary operation.
   void intersection(int row1, int row2);
   void mul(double factor, int row);
   void mul_add(double factor, int row1, int row2);

   //Matrix Operation.
   Matrix operator+(Matrix add);
   Matrix operator*(Matrix mul);
 };

 